List a job's rewards
Scores between 0 and 1 from the job's checks, its evaluation's judges and webhooks, the application and people's feedback and reviews. reward is their weighted mean over scored rewards; passed says whether every check (gate) scored 1.
/v1/jobs/{id}/rewardsPath parameters
idstringrequiredMin length: 1
Response
200List a job's rewards
X-Request-IdstringServer-generated request identifier for logs and support.
application/json
dataarray<object>requiredItem fields
idstringrequiredMin length: 1
job_idstringrequiredMin length: 1
kindstringrequiredAllowed: "check""model_judge""webhook""external""feedback""approval""takeover""choice""edit""review"
scorerstringrequiredturn_idstring | nullrequiredtrace_idstring | nullrequiredvaluenumber | nullrequiredweightnumberrequiredgatebooleanrequireddetail_jsonobjectrequiredAdditional keys: any
created_atstringrequiredFormat: date-time · Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
updated_atstringrequiredFormat: date-time · Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
Additional keys: any
rewardnumber | nullrequiredpassedboolean | nullrequired4XX400 invalid input; 401 missing/revoked credentials; 403 disallowed operation/application; 404 missing or inaccessible resource; 409 conflicting submission/version/state; 413 body too large; 415 unsupported content type. Inspect error.code, not message text.
X-Request-IdstringServer-generated request identifier for logs and support.
application/json
errorobjectrequiredObject fields
codestringrequiredmessagestringrequiredrequest_idstringrequiredAdditional keys: any
5XX500 unexpected failure or 503 unavailable dependency. A failed response does not prove that a submission was not committed. Retry job/flow admission with the same key and body.
X-Request-IdstringServer-generated request identifier for logs and support.
application/json
errorobjectrequiredObject fields
codestringrequiredmessagestringrequiredrequest_idstringrequiredAdditional keys: any